Kavak: Search
Search from Kavak as JSON. 1 credit per successful call.
GET /v1/kavak/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
market | string | Required | mx, br, ar, cl, ae, tr |
make | string | Optional | Up to 64 characters |
model | string | Optional | Up to 64 characters |
year | integer | Optional | Any |
body_type | string | Optional | Up to 40 characters |
transmission | string | Optional | Up to 40 characters |
fuel_type | string | Optional | Up to 40 characters |
color | string | Optional | Up to 40 characters |
traction | string | Optional | Up to 40 characters |
passengers | string | Optional | Up to 10 characters |
status | string | Optional | Up to 40 characters |
region | string | Optional | Up to 64 characters |
location | string | Optional | Up to 96 characters |
keyword | string | Optional | Up to 64 characters |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
min_km | integer | Optional | Any |
max_km | integer | Optional | Any |
sort | string | Optional | relevance, lower_price, higher_price, older, recent, lower_mileage, higher_mileage |
page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/kavak/search" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.